igeo

## Class IIntegerR

- java.lang.Object
- - igeo.IParameterObject
  - - igeo.IIntegerR

- All Implemented Interfaces:
    IIntegerI, IIntegerOp, IParameter, IReferenceParameter, IScalar, ISubobject, IVal

      public class IIntegerR
      extends IParameterObject
      implements IIntegerI, IReferenceParameter

  Reference class of integer to be used as IParameterObject.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IIntegerR.Add`
    `static class` | `IIntegerR.Div`
    `static class` | `IIntegerR.Eq`
    `static class` | `IIntegerR.FromDouble`
    `static class` | `IIntegerR.Mod`
    `static class` | `IIntegerR.Mul`
    `static class` | `IIntegerR.Neg`
    `static class` | `IIntegerR.Sub`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IIntegerOp` | `op`

    - ### Fields inherited from class igeo.IParameterObject

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IIntegerR(IIntegerOp v)`
    `IIntegerR(int v)`
    `IIntegerR(IServerI s, IIntegerOp v)`
    `IIntegerR(IServerI s, int v)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IIntegerR` | `add(IIntegerI u)`
    `IIntegerR` | `add(int u)`
    `IIntegerR` | `cp()` alias of dup()
    `IIntegerR` | `cp(IIntegerI v)` duplicate and add
    `IIntegerR` | `cp(int v)` duplicate and add
    `IIntegerR` | `div(IIntegerI u)`
    `IIntegerR` | `div(int u)`
    `IIntegerR` | `dup()`
    `boolean` | `eq(IIntegerI v)`
    `boolean` | `eq(int v)`
    `boolean` | `eq(ISwitchE e, IIntegerI v)`
    `IBoolR` | `eq(ISwitchR r, IIntegerI v)`
    `IInteger` | `get()`
    `IIntegerR` | `getX()`
    `IIntegerR` | `mod(IIntegerI u)`
    `IIntegerR` | `mod(int u)`
    `IIntegerR` | `mul(IIntegerI u)`
    `IIntegerR` | `mul(int u)`
    `IIntegerR` | `neg()`
    `IIntegerOp` | `operator()`
    `IIntegerR` | `set(double u)`
    `IIntegerR` | `set(IDoubleI u)`
    `IIntegerR` | `set(IIntegerI u)` convert reference tree to one constant value
    `IIntegerR` | `set(int u)`
    `IIntegerR` | `sub(IIntegerI u)`
    `IIntegerR` | `sub(int u)`
    `int` | `x()`

    - ### Methods inherited from class igeo.IParameterObject

      `createObject, parent, parent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### op

          protected IIntegerOp op

  - ### Constructor Detail

    - #### IIntegerR

          public IIntegerR(IIntegerOp v)

    - #### IIntegerR

          public IIntegerR(int v)

    - #### IIntegerR

          public IIntegerR(IServerI s,
                           IIntegerOp v)

    - #### IIntegerR

          public IIntegerR(IServerI s,
                           int v)

  - ### Method Detail

    - #### x

          public int x()

      Specified by:
        `x` in interface `IIntegerI`
      Specified by:
        `x` in interface `IIntegerOp`
      Returns:
        Primitive value.

    - #### get

          public IInteger get()

      Specified by:
        `get` in interface `IIntegerI`
      Specified by:
        `get` in interface `IIntegerOp`
      Specified by:
        `get` in interface `IParameter`
      Returns:
        Fixed value but in wrapper class.

    - #### getX

          public IIntegerR getX()

      Specified by:
        `getX` in interface `IIntegerI`
      Returns:
        Generic parameter of the value (either of entity class or reference class).

    - #### operator

          public IIntegerOp operator()

      Specified by:
        `operator` in interface `IReferenceParameter`

    - #### dup

          public IIntegerR dup()

      Specified by:
        `dup` in interface `IIntegerI`
      Returns:
        Duplicated instance.

    - #### cp

          public IIntegerR cp()

      alias of dup()
      Specified by:
        `cp` in interface `IIntegerI`

    - #### cp

          public IIntegerR cp(int v)

      duplicate and add
      Specified by:
        `cp` in interface `IIntegerI`

    - #### cp

          public IIntegerR cp(IIntegerI v)

      duplicate and add
      Specified by:
        `cp` in interface `IIntegerI`

    - #### set

          public IIntegerR set(IIntegerI u)

      Description copied from interface: `IIntegerI`
      convert reference tree to one constant value
      Specified by:
        `set` in interface `IIntegerI`

    - #### set

          public IIntegerR set(int u)

      Specified by:
        `set` in interface `IIntegerI`

    - #### set

          public IIntegerR set(IDoubleI u)

      Specified by:
        `set` in interface `IIntegerI`

    - #### set

          public IIntegerR set(double u)

      Specified by:
        `set` in interface `IIntegerI`

    - #### add

          public IIntegerR add(IIntegerI u)

      Specified by:
        `add` in interface `IIntegerI`

    - #### add

          public IIntegerR add(int u)

      Specified by:
        `add` in interface `IIntegerI`

    - #### sub

          public IIntegerR sub(IIntegerI u)

      Specified by:
        `sub` in interface `IIntegerI`

    - #### sub

          public IIntegerR sub(int u)

      Specified by:
        `sub` in interface `IIntegerI`

    - #### mul

          public IIntegerR mul(IIntegerI u)

      Specified by:
        `mul` in interface `IIntegerI`

    - #### mul

          public IIntegerR mul(int u)

      Specified by:
        `mul` in interface `IIntegerI`

    - #### div

          public IIntegerR div(IIntegerI u)

      Specified by:
        `div` in interface `IIntegerI`

    - #### div

          public IIntegerR div(int u)

      Specified by:
        `div` in interface `IIntegerI`

    - #### neg

          public IIntegerR neg()

      Specified by:
        `neg` in interface `IIntegerI`

    - #### mod

          public IIntegerR mod(IIntegerI u)

      Specified by:
        `mod` in interface `IIntegerI`

    - #### mod

          public IIntegerR mod(int u)

      Specified by:
        `mod` in interface `IIntegerI`

    - #### eq

          public boolean eq(int v)

      Specified by:
        `eq` in interface `IIntegerI`

    - #### eq

          public boolean eq(IIntegerI v)

      Specified by:
        `eq` in interface `IIntegerI`

    - #### eq

          public boolean eq(ISwitchE e,
                            IIntegerI v)

      Specified by:
        `eq` in interface `IIntegerI`

    - #### eq

          public IBoolR eq(ISwitchR r,
                           IIntegerI v)

      Specified by:
        `eq` in interface `IIntegerI`